Subject: pine crash quitting links launched from pine.. question

From: Matt Ackeret <[email-masked]>
Date: Fri, 28 Sep 2001 16:55:19 -0700 (PDT)

Since we've announced 10.1, I guess I can mention this here..  I
am not sure if it's a pine bug or an OSX bug, but it doesn't happen
under similar circumstances on this personal acct (which is running Solaris
I think)..  But I mean version #s of pine/links are the same.  Yes, I realize
that's largely irrelevant..

So in pine, I have links set up to be my web browser..

If I go view a link from a mail message, then quit links, pine crashes
with:

Date/Time:  2001-09-27 18:21:54 -0700
OS Version: 10.1 (Build 5G64)

Command:    pine
PID:        428

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0:
 #0   0x00000000 in 0x0
 #1   0x7000f81c in _sigtramp
 #2   0x70006af0 in nanosleep
 #3   0x7000be90 in closedir

PPC Thread State:
  srr0: 0x00000000 srr1: 0x4000d030                vrsave: 0x00000000
   xer: 0x0000000b   lr: 0x7000f81c  ctr: 0x00000000   mq: 0x00000000
    r0: 0x00000000   r1: 0xbfffe110   r2: 0x8000053d   r3: 0x00000014
    r4: 0x00000000   r5: 0xbfffe398   r6: 0x00000000   r7: 0xbfffe4c8
    r8: 0x00000000   r9: 0x0000003e  r10: 0x00000000  r11: 0x80003414
   r12: 0x00000000  r13: 0x00000000  r14: 0x00000036  r15: 0xbfffee58
   r16: 0xbfffee70  r17: 0x00000001  r18: 0x0035ae88  r19: 0x00001007
   r20: 0x00000000  r21: 0x0000001c  r22: 0x70004bc4  r23: 0x70004c58
   r24: 0x00000001  r25: 0x000006eb  r26: 0x8081ab5c  r27: 0x0004d040
   r28: 0x00000000  r29: 0xbfffef00  r30: 0x8081d1cc  r31: 0x00000001

**********

So as a vague question where would I even start figuring out where this is?
(BTW, still happens with pine 4.40)

Are they just calling closedir(nil)?

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------